#include <signal.h>

void sigbeh1(si)
int si;
{
        printf("\nSignal INTR = %d empfangen!\n",si);
        signal(SIGINT,sigbeh1);  /*sonst autom. SIG_DFL*/
}

void sigbeh2(si)
int si;
{
        printf("\nSignal QUIT = %d empfangen!\n",si);
        exit(1);
}

main()
{
      void sigbeh1(), sigbeh2();

      signal(SIGINT,sigbeh1);
      signal(SIGQUIT,sigbeh2);
      for(;;);
}
